<?php
/**
 * @package security
 * @copyright Copyright 2003-2011 Zen Cart Development Team
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: class.email_headers_obfuscator_139.php 18603 2011-04-14 17:32:00Z drbyte $
 *
 * Designed for v1.3.9h and earlier versions only. If used on newer versions, will clash.
 */
class email_headers_obfuscator_139 extends base {

 /**  constructor method !
   *
   * Attach observer class to the global $zco_notifier and watch for a single notifier event.
   */
  function email_headers_obfuscator_139() {
    if (PROJECT_VERSION_MAJOR == '1' && PROJECT_VERSION_MINOR < '1.5.0') {
      $this->attach($this, array('NOTIFY_EMAIL_READY_TO_SEND', 'NOTIFY_EMAIL_AFTER_SEND'));
    }
  }


 /**   Actual Method that does the desired activity
   *
   * Called by observed class when any of the notifiable events occur
   *
   * @param object $class
   * @param string $eventID
   */
  function update(&$class, $eventID, $paramsArray = array()) {
    switch ($eventID) {
      case 'NOTIFY_EMAIL_READY_TO_SEND':
        $oldVars = array(); $tmpVars = array('REMOTE_ADDR', 'HTTP_X_FORWARDED_FOR', 'PHP_SELF', 'SERVER_NAME');
        foreach ($tmpVars as $key) {
          if (isset($_SERVER[$key])) {
            $oldVars[$key] = $_SERVER[$key];
            $_SERVER[$key]='';
          }
          if ($key == 'REMOTE_ADDR') $_SERVER[$key] = HTTP_SERVER;
          if ($key == 'PHP_SELF') $_SERVER[$key] = '/obf'.'us'.'cated';
        }
      break;

      case 'NOTIFY_EMAIL_AFTER_SEND':
        foreach($oldVars as $key => $val) {
          $_SERVER[$key] = $val;
        }
      break;
    }
  }
}
